3 Replies Latest reply on Aug 25, 2011 8:15 AM by Marek Goldmann

    Unable to publish EBS AMI

    Joshua Mesilane Newbie

      HI,

       

      I'm unable to publish a Centos 5.6 EBS AMI at present.

       

      I'm using the EBS Meta image in us-east-1 which has been updated to the latest version by using "yum update" and "gem update"

       

      I can delivery an AMI by using the s3 plugin, and get an instance-store ami going, just not an EBS ami.

       

      I'm getting the following error:

       

       

      [ec2-user@ip-10-46-218-192 ~]$ sudo boxgrinder-build appliances/centos-5-NGINX-x86_64.appl -p ec2 -d ebs --delivery-config overwrite:true

      I, [2011-08-24T20:17:35.630258 #21121]  INFO -- : Validating appliance definition from appliances/centos-5-NGINX-x86_64.appl file...

      I, [2011-08-24T20:17:35.638519 #21121]  INFO -- : Appliance definition is valid.

      I, [2011-08-24T20:17:35.682708 #21121]  INFO -- : Building 'centos-5-NGINX-x86_64-base' appliance for x86_64 architecture.

      I, [2011-08-24T20:17:35.683120 #21121]  INFO -- : Deliverables for centos os plugin exists, skipping.

      I, [2011-08-24T20:17:35.683831 #21121]  INFO -- : Deliverables for ec2 platform plugin exists, skipping.

      F, [2011-08-24T20:17:35.685627 #21121] FATAL -- : NoMethodError: undefined method `already_registered?' for #<BoxGrinder::EC2Helper:0x7ff02bcbea30>

      /usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.4/lib/boxgrinder-build/plugins/delivery/ebs/ebs-plugin.rb:216:in `ebs_appliance_name'

      /usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.4/lib/boxgrinder-build/plugins/delivery/ebs/ebs-plugin.rb:77:in `execute'

      /usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.4/lib/boxgrinder-build/plugins/base-plugin.rb:177:in `run'

      /usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.4/lib/boxgrinder-build/appliance.rb:142:in `execute_plugin'

      /usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.4/lib/boxgrinder-build/appliance.rb:106:in `execute_plugin_chain'

      /usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.4/lib/boxgrinder-build/appliance.rb:106:in `each'

      /usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.4/lib/boxgrinder-build/appliance.rb:106:in `execute_plugin_chain'

      /usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.4/lib/boxgrinder-build/appliance.rb:121:in `create'

      /usr/lib/ruby/gems/1.8/gems/boxgrinder-build-0.9.4/bin/boxgrinder-build:177

      /usr/bin/boxgrinder-build:19:in `load'

      /usr/bin/boxgrinder-build:19

       

      Any help would be greatly appreciated.